/*
 * wifly.h
 *
 * Created: 4/10/2012 11:20:50 AM
 *  Author: Doug
 */ 


#ifndef WIFLY_H_
#define WIFLY_H_

#include "avr_compiler.h"

/*
 * Function defines
 *****************************************/
int initialize_wifly_intr(void);
void wifly_send_test_ack_intr(void);
int wifly_send_string_intr_aok(char *buffer, uint8_t len);
int wifly_send_string_intr(char * buffer, uint8_t len_1, char * resp, uint8_t len_2);
int wifly_send_string_intr_nr(char * buffer, uint8_t len_1);
int wifly_receive_ack_intr(char * buffer, uint8_t len);
int create_udp_connection_intr( void ) ;
int wifly_send_cmd_mode_intr(void);
int create_adhoc_network_intr(void);
int setup_comm_setting (void);
int wifly_reset_intr(void);
int wifly_join_red_intr(void);
int change_serial_to_115200_intr( void ) ;
int change_serial_to_230400_intr( void ) ;
int change_serial_to_460800_intr( void ) ;
int change_serial_to_921600_intr( void ) ;
int change_serial_to_921600_intr_forever( void );
void wifly_send_request_stream_slow(void);
void wifly_send_request_stream_fast(void);
void wifly_send_request_stream_normal(void);

extern char Rx_Buf[];


#endif /* WIFLY_H_ */